| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Static Public Member Functions | List of all members
nkAstraeus::nkExportWrap::ExporterLoadResultWrapper Class Referencefinal

Wraps a nkExport::ExporterLoadResult and offer functions for use in scripting. More...

## Static Public Member Functions
static void | updateEnvironment (nkScripts::Environment *env)
static void | destructor (void *toDestroy)
static nkScripts::OutputValue | getTree (void *object)
static nkScripts::OutputValue | getError (void *object)

## Detailed Description

Wraps a nkExport::ExporterLoadResult and offer functions for use in scripting.

## Member Function Documentation

## ◆ updateEnvironment()

static void nkAstraeus::nkExportWrap::ExporterLoadResultWrapper::updateEnvironment | ( | nkScripts::Environment * | env | ) |
| static

Updates a given environment and set it up to use all functions wrapped by this wrapper.

Parameters

  env | The environment to set up.

## ◆ destructor()

static void nkAstraeus::nkExportWrap::ExporterLoadResultWrapper::destructor | ( | void * | toDestroy | ) |
| static

Wrapper function for the destructor of the user type.

Parameters

  toDestroy | The data that has to be freed.

## ◆ getTree()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::ExporterLoadResultWrapper::getTree | ( | void * | object | ) |
| static

Wrapper function for the nkExport::ExporterLoadResult::_tree attribute reading.

local d = t.tree ;

Parameters

  object | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a string.

## ◆ getError()

static nkScripts::OutputValue nkAstraeus::nkExportWrap::ExporterLoadResultWrapper::getError | ( | void * | object | ) |
| static

Wrapper function for the nkExport::ExporterLoadResult::_error attribute reading.

local d = t.error ;

Parameters

  object | The data from which the attribute will be retrieved.

Returns
  The attribute value, as a string.

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsAstraeus/Scripts/nkExportWrap/Exporters/ExporterLoadResultWrapper.h